[SCM] eclipse - Powerful IDE written in java - Debian package. branch, master, updated. 822165efa484c539e8607086f065c830e8f63a1c

Niels Thykier nthykier-guest at alioth.debian.org
Tue Oct 13 15:21:43 UTC 2009


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "eclipse - Powerful IDE written in java - Debian package.".

The branch, master has been updated
       via  822165efa484c539e8607086f065c830e8f63a1c (commit)
      from  0186d804074c4d1e26b78d421affd39dcda820a5 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 822165efa484c539e8607086f065c830e8f63a1c
Author: Niels Thykier <niels at thykier.net>
Date:   Tue Oct 13 17:21:06 2009 +0200

    Discard sanity and use /bin/bash.

-----------------------------------------------------------------------

Summary of changes:
 debian/patches/bashisms.patch |  106 +----------------------------------------
 1 files changed, 1 insertions(+), 105 deletions(-)

diff --git a/debian/patches/bashisms.patch b/debian/patches/bashisms.patch
index 83fe6eb..15e357f 100644
--- a/debian/patches/bashisms.patch
+++ b/debian/patches/bashisms.patch
@@ -2,82 +2,10 @@ Index: patches/eclipse-pde.build-add-package-build.patch
 ===================================================================
 --- a/patches/eclipse-pde.build-add-package-build.patch	(revision 23419)
 +++ b/patches/eclipse-pde.build-add-package-build.patch	(working copy)
-@@ -6,8 +6,9 @@
+@@ -6,3 +6,3 @@
  diff -N templates/package-build/prepare-build-dir.sh
  --- /dev/null	1 Jan 1970 00:00:00 -0000
  +++ templates/package-build/prepare-build-dir.sh	1 Jan 1970 00:00:00 -0000
--@@ -0,0 +1,105 @@
-+@@ -0,0 +1,112 @@
- +#!/bin/sh
-++set -e
- +
- +if [ $# -lt 2 ]; then
- +  echo "usage: $0 <path to source dir> <path to build dir>"
-@@ -23,6 +24,12 @@
- +BUILDDIR=$2
- +TESTING=$3
- +
-++if [ x$TESTING = xtrue ] ; then
-++   TESTING=1
-++elif [ x$TESTING = xfalse ] ; then
-++   TESTING=0
-++fi
-++
- +echo "preparing files in $1 for buildfile generation ..."
- +mkdir -p $BUILDDIR
- +
-@@ -53,12 +60,12 @@
- +  PROJECTDIR=$(dirname "$f")
- +  inSDK=1
- +  inSDK=$(echo $PROJECTDIR | grep -c $BUILDDIR)
--+  if [ $inSDK == 0 ]; then
-++  if [ $inSDK = 0 ]; then
- +    PROJECTNAME=$(ant -Dbasedir="$PROJECTDIR" -f $BUILDDIR/tmp/feature-build.xml 2>&1 | grep echo | cut --delimiter=' ' -f 7)
- +    ERROR=""
- +    if [ -z "$PROJECTNAME" ]; then
--+      echo "ERROR: could not determine the feature id for $PROJECTDIR"
--+      if [ $TESTING != true ]; then
-++      echo "ERROR: could not determine the feature id for $PROJECTDIR" >&2
-++      if [ $TESTING -ne 1 ]; then
- +        exit 1
- +      else
- +        ERROR="yes"
-@@ -66,7 +73,7 @@
- +    fi
- +
- +    if [ "x$ERROR" != "xyes" ]; then
--+      if [[ $TESTING != true || `echo $PROJECTNAME | grep "org.eclipse"` ]]; then
-++      if [ $TESTING -ne 0 ] || echo $PROJECTNAME | grep "org.eclipse" >/dev/null 2>&1 ; then
- +        echo "  making symlink: $BUILDDIR/features/$PROJECTNAME -> $PROJECTDIR"
- +        ln -sfT "$PROJECTDIR" $BUILDDIR/features/"$PROJECTNAME"
- +      fi
-@@ -81,7 +88,7 @@
- +  ERROR=""
- +  inSDK=1
- +  inSDK=$(echo $dir | grep -c $BUILDDIR)
--+  if [ $inSDK == 0 ]; then
-++  if [ $inSDK = 0 ]; then
- +    if [ -e "$dir/META-INF/MANIFEST.MF" ]; then
- +      PROJECTNAME=$(grep Bundle-SymbolicName $dir/META-INF/MANIFEST.MF | cut --delimiter=';' -f 1 | cut --delimiter=' ' -f 2)
- +    elif [ -e "$dir/plugin.xml" ]; then
-@@ -92,7 +99,7 @@
- +
- +    if [ -z "$PROJECTNAME"  ]; then
- +      echo "ERROR: could not determine the plugin or fragment id for $dir"
--+      if [ $TESTING != true ]; then
-++      if [ $TESTING -ne 0 ]; then
- +        exit 1
- +      else
- +        ERROR="yes"
-@@ -100,7 +107,7 @@
- +    fi
- +
- +    if [ "x$ERROR" != "xyes" ]; then
--+      if [[ $TESTING != true || `echo $PROJECTNAME | grep "org.eclipse"` ]]; then
-++      if [ $TESTING -ne 0 ] || echo $PROJECTNAME | grep "org.eclipse" >/dev/null 2>&1; then
- +        echo "  making symlink: $BUILDDIR/plugins/$PROJECTNAME -> $dir"
- +        ln -sfT "$dir" $BUILDDIR/plugins/"$PROJECTNAME"
- +      fi
 @@ -212,10 +219,10 @@
  +   		plugin projects to be in the 'plugins' directory. The build infrastructure
  +		normally arranges the projects during the fetch stage. Since we aren't doing
@@ -92,35 +20,3 @@ Index: patches/eclipse-pde.build-add-package-build.patch
  +		    <arg line="symlink-deps.sh ${buildDirectory} ${orbitDepsDir}" />
  +		</exec>
  +
-@@ -315,8 +322,10 @@
- diff -N templates/package-build/symlink-deps.sh
- --- /dev/null	1 Jan 1970 00:00:00 -0000
- +++ templates/package-build/symlink-deps.sh	1 Jan 1970 00:00:00 -0000
--@@ -0,0 +1,21 @@
--+#!/bin/sh -x
-+@@ -0,0 +1,27 @@
-++#!/bin/sh
-++set -x
-++set -e
- +
- +if [ $# -ne 2 ]; then
- +  echo "usage: $0 <path to build dir> <dependencies>"
-@@ -328,12 +337,16 @@
- +  exit 1
- +fi
- +
-++if [ x"$2" = x -o x"$2" = x'${orbitDepsDir}' ] ; then
-++  echo "Nothing to do [depends was: ${2}]."
-++  exit 0
-++fi
-++
- +BUILDDIR=$1
- +DEPENDENCIESDIR=$2
- +
--+pushd $BUILDDIR/plugins
-++cd $BUILDDIR/plugins
- +  for dep in `ls $DEPENDENCIESDIR`; do
- +      echo "ln -s $DEPENDENCIESDIR/$dep"
- +      ln -s $DEPENDENCIESDIR/$dep
- +  done
--+popd


hooks/post-receive
-- 
eclipse - Powerful IDE written in java - Debian package.



More information about the pkg-java-commits mailing list